{block name='checkout-credit-form'}
    {if $Kunde->fGuthaben > 0 && (!isset($smarty.session.Bestellung->GuthabenNutzen) || !$smarty.session.Bestellung->GuthabenNutzen)}
        <form method="post" action="{get_static_route id='bestellvorgang.php'}" class="form form-inline credit-form label-slide">
            {block name='checkout-credit-form-form-content'}
                <fieldset>
                    <div class="row">
                        <div class="col col-12">
                            {block name='checkout-credit-form-desc'}
                                <p class="credit-description">{lang key='creditDesc' section='account data'}</p>
                            {/block}
                        </div>
                        <div class="col col-12">
                            {block name='checkout-credit-form-alert'}
                                <div class="credit-amount-description">
                                    {lang key='yourCreditIs' section='account data'} <strong class="credit-amount">{$GuthabenLocalized}</strong>
                                </div>
                            {/block}
                            {block name='checkout-credit-form-submit'}
                                <input type="hidden" name="guthabenVerrechnen" value="1" />
                                <input type="hidden" name="guthaben" value="1" />
                                {include file="widgets/base/button.tpl" type="submit" value="1" variant="secondary" classes="btn-block" label="{lang key='useCredits' section='checkout'}"}
                            {/block}
                        </div>
                    </div>
                </fieldset>
            {/block}
        </form>
    {/if}
{/block}
