{block name='productdetails-bundle'}
    {if !empty($Products)}
        {$lazyLoadImages=$lazyLoadImages|default:true}
        {block name='productdetails-bundle-form'}
            <form action="{if !empty($ProductMain->cURLFull)}{$ProductMain->cURLFull}{else}{$ShopURL}/{/if}" method="post" id="form_bundles" class="bundle-form jtl-validate">
                {csrf_token}

            {block name='productdetails-bundle-hidden-inputs'}
                <input type="hidden" name="a" value="{$ProductMain->kArtikel}" />
                <input type="hidden" name="addproductbundle" value="1" />
                <input type="hidden" name="aBundle" value="{$ProductKey}" />
            {/block}
            {block name='productdetails-bundle-include-product-slider'}
                {include file='snippets/product_slider.tpl' id='slider-partslist' productlist=$ProductMain->oStueckliste_arr title="{lang key='buyProductBundle' section='productDetails'}" showPartsList=true lazyLoadImages=$lazyLoadImages}
            {/block}
            {if JTL\Session\Frontend::getCustomerGroup()->mayViewPrices()}
                {block name='productdetails-bundle-form-price'}
                    <div class="row">
                        <div class="col col-12 col-md-auto bundle-price">
                            <strong>
                                {lang key='priceForAll' section='productDetails'}:
                                <span class="price price-sm">{$ProduktBundle->cPriceLocalized[$NettoPreise]}</span>
                            </strong>
                            {if $ProduktBundle->fPriceDiff > 0}
                                <span class="text-warning">({lang key='youSave' section='productDetails'}: {$ProduktBundle->cPriceDiffLocalized[$NettoPreise]})</span>
                            {/if}
                            {if $ProductMain->cLocalizedVPE}
                                <strong>{lang key='basePrice'}: </strong>
                                <span>{$ProductMain->cLocalizedVPE[$NettoPreise]}</span>
                            {/if}
                        </div>
                        <div class="col col-12 col-md-auto">
                            {block name='productdetails-bundle-form-submit'}
                                {include file="widgets/base/button.tpl" type="submit" name="inWarenkorb" value="1" variant="primary" classes="block" label="{lang key='addAllToCart'}"}
                            {/block}
                        </div>
                    </div>
                {/block}
            {/if}
            </form>
        {/block}
    {/if}
{/block}
