{block name="et-product-list-filter-sorting-buttons"}
    {if $sortingDisplayMobile === 'withFilters'}
        {block name='et-product-list-filter-sorting-trigger'}
            <div id="et-product-list-filter-{$filterDisplayMobile}-trigger-mobile" class="col-12 et-product-list-filter-{$filterDisplayMobile}-trigger-mobile{if $filterDisplayMobile === 'collapse'} et-collapse{/if}" {if $filterDisplayMobile === 'modal'}data-toggle="modal" data-target="#et-product-list-filter-modal-content-mobile" aria-controls="et-product-list-filter-modal-content-mobile"{else}data-toggle="collapse" aria-expanded="{if $filtersActive}true{else}false{/if}" data-target="#et-product-list-filter-collapse-content-mobile" aria-controls="et-product-list-filter-collapse-content-mobile"{/if}>
                {include file="widgets/base/button.tpl" variant="primary" classes="btn-block" label="{lang key="filterAndSort" section="global"}" icon="{et_getIcon key="filter"}" iconPosition="left"}
            </div>
        {/block}
    {else}
        {block name='et-product-list-filter-trigger'}
            <div id="et-product-list-filter-{$filterDisplayMobile}-trigger-mobile" class="col-12 col-sm-6 et-product-list-filter-{$filterDisplayMobile}-trigger-mobile{if $filterDisplayMobile === 'collapse'} et-collapse{/if}" {if $filterDisplayMobile === 'modal'}data-toggle="modal" data-target="#et-product-list-filter-modal-content-mobile" aria-controls="et-product-list-filter-modal-content-mobile"{else}data-toggle="collapse" aria-expanded="{if $filtersActive}true{else}false{/if}" data-target="#et-product-list-filter-collapse-content-mobile" aria-controls="et-product-list-filter-collapse-content-mobile"{/if}>
                {include file="widgets/base/button.tpl" variant="primary" classes="btn-block" label="{lang key="filter" section="global"}" icon="{et_getIcon key="filter"}" iconPosition="left"}
            </div>
        {/block}
        {if $sortingDisplayMobile === 'modal'}
            {block name='et-product-list-sorting-modal-trigger'}
                <div id="et-product-list-sorting-modal-trigger-mobile" class="col-12 col-sm-6 et-product-list-sorting-modal-trigger-mobile" aria-expanded="false" data-target="#et-product-list-sorting-modal-content-mobile" aria-controls="et-product-list-sorting-modal-content-mobile" data-toggle="modal">
                    {include file="widgets/base/button.tpl" variant="secondary" classes="btn-block" label="{lang key="sorting" section="productOverview"}" icon="{et_getIcon key="sort"}" iconPosition="left"}
                </div>
            {/block}
        {elseif $sortingDisplayMobile === 'collapse'}
            {block name='et-product-list-sorting-collapse-trigger'}
                <div id="et-product-list-sorting-collapse-trigger-mobile" class="col-12 col-sm-6 et-product-list-sorting-collapse-trigger-mobile et-collapse" data-toggle="collapse" aria-expanded="false" data-target="#et-product-list-sorting-collapse-content-mobile" aria-controls="et-product-list-sorting-collapse-content-mobile">
                    {include file="widgets/base/button.tpl" variant="secondary" classes="btn-block" label="{lang key="sorting" section="productOverview"}" icon="{et_getIcon key="sort"}" iconPosition="left"}
                </div>
            {/block}
        {elseif $sortingDisplayMobile === 'dropdown'}
            {block name='et-product-list-sorting-dropdown'}
                <div class="col-12 col-sm-6 et-product-list-filter-item" id="et-product-list-sorting-dropdown-mobile">
                    <div class="dropdown et-product-list-filter-sort">
                        <button class="btn dropdown-toggle et-dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span class="text-truncate"><i class="{et_getIcon key="sort"}"></i>&nbsp;{lang key='sorting' section='productOverview'}</span>
                            <i class='{et_getIcon key="dropdownOpen"} et-dropdown-open'></i>
                            <i class='{et_getIcon key="dropdownClosed"} et-dropdown-closed'></i>
                        </button>
                        <div class="dropdown-menu">
                            {foreach $Suchergebnisse->getSortingOptions() as $option}
                                <a href="{$option->getURL()}{if !empty($autoScrollTarget)}{$autoScrollTarget}{/if}" class="link-discreet dropdown-item{if $option->isActive()} active{/if}" title="{$option->getName()|escape:'html'}">{$option->getName()}</a>
                            {/foreach}
                        </div>
                    </div>
                </div>
            {/block}
        {/if}
    {/if}
{/block}