{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-container-inner"}
        {* Order Completed Heading *}
        {block name='checkout-order-completed-heading'}
            {et_isShopVersionAtLeast value="5.2.0-beta" assign='shopIsAtLeast52'}
            {if isset($smarty.session.Zahlungsart->nWaehrendBestellung) && $smarty.session.Zahlungsart->nWaehrendBestellung == 1}
                <h1 class="order-completed-heading">{lang key='orderCompletedPre' section='checkout'}</h1>
            {elseif ($shopIsAtLeast52 || $Bestellung->Zahlungsart->cModulId !== 'za_kreditkarte_jtl') && $Bestellung->Zahlungsart->cModulId !== 'za_lastschrift_jtl'}
                <h1 class="order-completed-heading">{lang key='orderCompletedPost' section='checkout'}</h1>
            {/if}
        {/block}

        {block name='checkout-order-completed-include-extension'}
            {include file='snippets/extension.tpl'}
        {/block}

        {* Order Completed Content *}
        {block name='checkout-order-completed-main'}
            <div class="order-completed">
                {block name='checkout-order-completed-include-inc-paymentmodules'}
                    {include file='checkout/inc_paymentmodules.tpl'}
                {/block}

                {block name='checkout-order-completed-order-completed'}
                    {if isset($abschlussseite)}
                        {block name='checkout-order-completed-include-inc-order-completed'}
                            {include file='checkout/inc_order_completed.tpl'}
                        {/block}
                    {/if}
                {/block}

                {block name='checkout-order-completed-continue-shopping'}
                    {include file="widgets/base/button.tpl" variant="primary" href="{if isset($ShopHomeURL)}{$ShopHomeURL}{else}{$ShopURL}{/if}" title="{lang key='continueShopping' section='checkout'}" label="{lang key='continueShopping' section='checkout'}"}
                {/block}
            </div>
        {/block}
    {/block}
{/strip}