{block name='account-password'}
    {block name='account-password-include-header'}
        {include file='layout/header.tpl'}
    {/block}

    {if isset($Link) && $Link->getID() > 0 && $Link->getLinkType() === $smarty.const.LINKTYP_PASSWORD_VERGESSEN}
        {* Render the title separately to have it always at the top *}
        <div class="container{if isset($Link) && $Link->getIsFluid() === true}-fluid{/if} et-account-password-heading">
            {block name='account-password-heading'}
                {opcMountPoint id='opc_before_heading'}
                <div class="account-password-heading">
                    <h1>{lang key='forgotPassword' section='global'}</h1>
                </div>
            {/block}
        </div>
        {* Actual content will come in from the cms_content.tpl, if we are not a real cms link or embedded in checkout, we render the normal content *}
        {et_renderGrid id="cms_{$Link->getID()}" fallbackId="cms_main"}
    {else}
        {include file='account/password_content.tpl'}
    {/if}

    {block name='account-password-include-footer'}
        {include file='layout/footer.tpl'}
    {/block}
{/block}
