{block name='boxes-box-linkgroups'}
    {et_isShopVersionAtLeast value="5.3.0-rc.3" assign='shopIsAtLeast53'}
    <div class="box box-linkgroup box-normal text-left-util" id="box{$oBox->getID()}">
        {block name='boxes-box-linkgroups-toggle-title'}
            <a
                id="crd-hdr-{$oBox->getID()}"
                href="#crd-cllps-{$oBox->getID()}"
                data-toggle="collapse"
                role="button"
                aria-expanded="false"
                aria-controls="crd-cllps-{$oBox->getID()}"
                class="box-normal-link dropdown-toggle"
            >
                <span class="text-truncate">
                    {$oBox->getTitle()}
                </span>
            </a>
        {/block}
        {block name='boxes-box-linkgroups-title'}
            <div class="productlist-filter-headline d-none d-md-flex">
                {$oBox->getTitle()}
            </div>
        {/block}
        {block name='boxes-box-linkgroups-content'}
            <div
                class="collapse d-md-block"
                id="crd-cllps-{$oBox->getID()}"
                aria-labelledby="crd-hdr-{$oBox->getID()}"
            >
                    <div class="nav-panel box-nav-item">
                        <ul class="nav flex-column">
                            {block name='boxes-box-linkgroups-include-linkgroups-recursive'}
                                {if $shopIsAtLeast53}
                                    {include file='snippets/linkgroup_recursive.tpl' linkgroupIdentifier=$oBox->getLinkGroupTemplate() dropdownSupport=true links=$oBox->getLinkGroup()->getHierarchy() tplscope='box'}
                                {else}
                                    {include file='snippets/linkgroup_recursive.tpl' linkgroupIdentifier=$oBox->getLinkGroupTemplate() dropdownSupport=true  tplscope='box'}
                                {/if}
                            {/block}
                        </ul>
                    </div>
            </div>
        {/block}
    </div>
    {block name='boxes-box-linkgroups-hr-end'}
        <hr class="box-normal-hr">
    {/block}
{/block}
