{block name='page-shipping'}
    {$lazyLoadImages=$lazyLoadImages|default:true}
    {if isset($Einstellungen.global.global_versandermittlung_anzeigen)
        && $Einstellungen.global.global_versandermittlung_anzeigen === 'Y'}
        {opcMountPoint id='opc_before_shipping' inContainer=true}
        {if !isset($smarty.get.shipping_calculator) || (isset($smarty.get.shipping_calculator) && $smarty.get.shipping_calculator !== "0")}
            <div class="page-shipping">
                {if count(JTL\Session\Frontend::getCart()->PositionenArr) > 0}
                    {block name='page-shipping-form'}
                        <form method="post"
                            action="{if isset($oSpezialseiten_arr[$smarty.const.LINKTYP_VERSAND])}{$oSpezialseiten_arr[$smarty.const.LINKTYP_VERSAND]->getURL()}{else}{$ShopURL}/{/if}{if $bExclusive}?exclusive_content=1{/if}"
                            class="jtl-validate shipping-calculator-form label-slide"
                            id="shipping-calculator-form"
                        >
                            <input type="hidden" name="s" value="{$Link->getID()}" />
                            {block name='page-shipping-include-shipping-calculator'}
                                {include file='snippets/shipping_calculator.tpl' checkout=false lazyLoadImages=$lazyLoadImages}
                            {/block}
                        </form>
                    {/block}
                {else}
                    {block name='page-shipping-note'}
                        {lang key='estimateShippingCostsNote' section='global'}
                    {/block}
                {/if}
            </div>
        {/if}
        {opcMountPoint id='opc_after_shipping' inContainer=true}
    {/if}
{/block}
