{block name='register-index'}
    {block name='register-index-header'}
        {include file='layout/header.tpl'}
    {/block}

    {if isset($Link) && $Link->getID() > 0 && $Link->getLinkType() === $smarty.const.LINKTYP_REGISTRIEREN && !(isset($checkout) && $checkout == 1)}
        {* Render the title separately *}
        <div class="container{if isset($Link) && $Link->getIsFluid() === true}-fluid{/if} et-register-heading">
            {block name='register-index-new-customer-heading'}
                {opcMountPoint id='opc_before_heading'}
                <h1>{lang key='createNewAccount' section='account data'}</h1>
            {/block}
        </div>
        {* Actual content will come in from the cms_content.tpl, if we are not a real cms link or embedded in checkout, we render the normal content *}
        {et_renderGrid id="cms_{$Link->getID()}" fallbackId="cms_main"}
    {else}
        {include file='register/index_content.tpl'}
    {/if}

    {block name='register-index-footer'}
        {include file='layout/footer.tpl'}
    {/block}
{/block}
