{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-container-inner"}
        <div class="et-intro-wrapper row">
            <div class="col-12 introduction mb-3">
                <h1 style="text-align:center;">Willkommen im easyTemplate360</h1>
                <p style="text-align:center;">Zunächst ist Dein Shop fast leer. Beginne nun mit der Bearbeitung und befülle Deinen Online-Shop. Gehe dazu in Dein Shop-Backend und anschließend in den Bereich Plugins. Hier findest Du das easyTemplate360-Backend. Wir wünschen Dir viel Spaß mit Deinem Online-Shop!</p>
                <p style="text-align:center">Anbei ein paar hilfreiche Links, die Dir den Start vereinfachen:</p>
            </div>
            <div class="col-12 col-md-4 mb-3">
                <div style="text-align:center;">
                    <a href="https://solution360.atlassian.net/wiki/spaces/ET360V2/overview" target="_blank">
                        <div class="help-icon"><i class="fas fa-3x fa-book"></i></div>
                        <div class="help-link">Wiki</div>
                    </a>
                </div>
            </div>
            <div class="col-12 col-md-4 mb-3">
                <div style="text-align:center;">
                    <a href="https://support.easytemplate360.de/" target="_blank">
                        <div class="help-icon"><i class="fas fa-3x fa-life-ring"></i></div>
                        <div class="help-link">Support</div>
                    </a>
                </div>
            </div>
            <div class="col-12 col-md-4 mb-3">
                <div style="text-align:center;">
                    <a href="https://www.youtube.com/channel/UCg5LI-hVDtvgdSHD-9PIPAQ" target="_blank">
                        <div class="help-icon"><i class="fab fa-3x fa-youtube"></i></div>
                        <div class="help-link">YouTube-Kanal</div>
                    </a>
                </div>
            </div>
            <div class="col-12" style="text-align:center;">
                <small>(Dieser Hinweis verschwindet, sobald Du im Bereich "Startseite" Dein erstes Widget angelegt hast.)</small>
            </div>
        </div>
    {/block}
{/strip}