{if !empty($et_MenuLinkGroup.linkGroup)}
    <div class="et-menu-item et-menu-link-group col-12{if $et_BaseWidget.cssClass !== ''} {$et_BaseWidget.cssClass}{/if}" id="et-menu-mobile-item-{$et_BaseWidget.id}" tabindex="0" data-menu-navigate="{if isset($et_MenuLinkGroup.link) && $et_MenuLinkGroup.link.href !== ''}true{else}false{/if}" aria-expanded="false">
        <a class="et-menu-item-link no-style"
                {if isset($et_MenuLinkGroup.link) && $et_MenuLinkGroup.link.href !== ''} href="{$et_MenuLinkGroup.link.href}"{/if}
                {if isset($et_MenuLinkGroup.link) && $et_MenuLinkGroup.link.title !== ''} title="{$et_MenuLinkGroup.link.title}"{/if}
                {if isset($et_MenuLinkGroup.link) && $et_MenuLinkGroup.link.external} target="_blank" rel="noreferrer noopener"{/if}
                {if !empty($et_MenuLinkGroup.image.src)} style="background-image: url('{if !empty($et_MenuLinkGroup.image.srcWebP)}{$et_MenuLinkGroup.image.srcWebP}{else}{$et_MenuLinkGroup.image.src}{/if}');"{/if}>
            <div class="et-menu-item-title">
                {if empty($et_MenuLinkGroup.label.value)}
                    {if !empty($et_MenuLinkGroup.icon)}<i class="{$et_MenuLinkGroup.icon}"></i>{/if}<span>{$et_MenuLinkGroup.linkGroup->getName()}</span>
                {else}
                    {if !empty($et_MenuLinkGroup.icon)}<i class="{$et_MenuLinkGroup.icon}"></i>{/if}{include file="widgets/base/textfield.tpl" value=$et_MenuLinkGroup.label type="span"}
                {/if}
            </div>
        </a>
        {if $et_MenuLinkGroup.loadAsync && !$et_MenuLinkGroup.isAjax}
            {block name='et-menu-link-group-mobile-content-loader'}
                <div class="et-menu-item-content et-menu-link-group-mobile-content d-none" data-et-menu-async-load="{$et_BaseWidget.id}">
                    <div class="et-menu-async-loader"><i class="et-icon-spin {et_getIcon key="loading"}"></i></div>
                </div>
            {/block}
        {else}
            {block name='et-menu-link-group-mobile-content'}
                <div class="et-menu-item-content et-menu-link-group-mobile-content d-none">
                    <div class="row">
                        {if isset($et_MenuLinkGroup.link) && $et_MenuLinkGroup.link.href !== ''}
                            <div class="col-12">
                                <div class="et-menu-item-content-show-all">
                                    <a href="{$et_MenuLinkGroup.link.href}"{if isset($et_MenuLinkGroup.link) && $et_MenuLinkGroup.link.title !== ''} title="{$et_MenuLinkGroup.link.title}"{/if}{if isset($et_MenuLinkGroup.link) && $et_MenuLinkGroup.link.external} target="_blank" rel="noreferrer noopener"{/if}>
                                        {if !empty($et_MenuLinkGroup.label.value)}{lang key='menuShow' printf=$et_MenuLinkGroup.label.value}{else}{lang key='menuShow' printf=$et_MenuLinkGroup.linkGroup->getName()}{/if}
                                    </a>
                                </div>
                            </div>
                        {/if}
                        <div class="col-12">
                            {if !empty($et_MenuLinkGroup.linkGroup)}
                                {foreach from=$et_MenuLinkGroup.linkGroup->getLinks() item='link'}
                                    <div class="et-menu-link-group-link">
                                        <a href="{$link->getURL()}" class="link-discreet" title="{$link->getName()}" rel="{if $link->getNoFollow()}nofollow{/if}">{$link->getName()}</a>
                                    </div>
                                {/foreach}
                            {/if}
                        </div>
                    </div>
                </div>
            {/block}
        {/if}
    </div>
{/if}