{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-inline-styles"}
        {if $et_SearchResultBanner.customColorsEnabled}
            <style type="text/css">
                #{$et_BaseWidget.cssId}.bg-fullsize,
                #{$et_BaseWidget.cssId}.bg-boxed .container,
                #{$et_BaseWidget.cssId} .et-search-result-banner-content {
                    {if !empty($et_SearchResultBanner.colorBackground)}background-color:{$et_SearchResultBanner.colorBackground};{/if}
                    {if !empty($et_SearchResultBanner.colorFont)}color:{$et_SearchResultBanner.colorFont};{/if}
                }
            </style>
        {/if}
    {/block}

    {block name="et-widget-container-inner"}
        <div class="et-search-result-banner-wrapper row">
            <div class="col">
                <div class="et-search-result-banner-content">
                    {block name='et-search-result-banner-content'}
                        {opcMountPoint id='opc_before_heading'}
                        {block name='productlist-header-heading'}
                            <div class="h1">{$Suchergebnisse->getSearchTermWrite()}</div>
                        {/block}
                        {if $Suchergebnisse->getSearchUnsuccessful() == true}
                            {opcMountPoint id='opc_before_no_results'}
                            {block name='productlist-header-alert'}
                                <div role="alert" class="alert alert-info">
                                    <div class="sr-only">x</div>
                                    {lang key='noResults' section='productOverview'}
                                </div>
                            {/block}
                            {block name='productlist-header-form-search'}
                                <form id="suche2" action="{$ShopURL}" method="get" class="label-slide">
                                    <fieldset>
                                        {formgroup label-for="searchkey" label="{lang key='searchText'}"}
                                            <input type="text" name="suchausdruck" class="form-control" value="{if $Suchergebnisse->getSearchTerm()}{$Suchergebnisse->getSearchTerm()|escape:'htmlall'}{/if}" id="searchkey"/>
                                        {/formgroup}
                                        {include file="widgets/base/button.tpl" variant="primary" type="submit" value="1" label="{lang key='searchAgain' section='productOverview'}"}
                                    </fieldset>
                                </form>
                            {/block}
                        {/if}
                    {/block}
                </div>
            </div>
        </div>
    {/block}
{/strip}