{block name='et-product-list-sorting-modal'}
    {$sortingModalPosition=$sortingModalPosition|default:'center'}
    <div id="et-product-list-sorting-modal-content-mobile" aria-hidden="true" class="modal fade et-modal-{$sortingModalPosition} et-product-list-sorting-modal-content-mobile">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="modal-title">{lang key="sorting" section="productOverview"}</div>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true"><i class="{et_getIcon key="close"}"></i></span>
                    </button>
                </div>
                <div class="modal-body">
                    <div id="et-product-list-sorting-modal-mobile">
                        <div class="row et-product-list-filter-item">
                            {foreach $Suchergebnisse->getSortingOptions() as $option}
                                <div class="col-12 et-product-list-filter-sort">
                                    <a href="{$option->getURL()}{if !empty($autoScrollTarget)}{$autoScrollTarget}{/if}" class="btn btn-link btn-block{if $option->isActive()} active{/if}" title="{$option->getName()|escape:'html'}">{$option->getName()}</a>
                                </div>
                            {/foreach}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{/block}